# clusters/atlas/flux-system/applications/openclaw/kustomization.yaml
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: openclaw
  namespace: flux-system
  annotations:
    kustomize.toolkit.fluxcd.io/ssa: Merge
spec:
  interval: 10m
  path: ./services/openclaw
  targetNamespace: openclaw
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  wait: true
  timeout: 5m
  dependsOn:
    - name: core
    - name: longhorn
